Index: main.cpp
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.BaseRevisionTextPatchEP
<+>#include <iostream>\n//#include <string>\n#include <ctime>\n#include <cstdlib>\n\nusing namespace std;\n\nint KO = 6, KK = 6, MU = 6, KL = 6, IN = 6, CH = 6, FF = 6, GE = 6;\n\nvoid menu() {\n    char starting = ' ';\n\n    cout << \"Wilkommen bei meinem kleinen Text-Advenure\\n\";\n    cout << \"Drücke J zum starten!: \";\n    cin >> starting;\n\n    if (starting == 'J' || starting == 'j') {\n        system(\"clear\");\n    } else {\n        cout << \"Schade wohl keine Lust?\\n\";\n    }\n}\n\nint roll_D20() {\n    srand((unsigned) time(0));\n    int randomNumber;\n    for (int index = 0; index < 1; index++) {\n        randomNumber = (rand() % 20) + 1;\n    }\n    return randomNumber;\n\n}\n//Charackter mit und mit Basiswerte geben! MU KL IN CH FF GE KO KK\nvoid consti() {\n    //Konstitution!\n    cout\n            << \"Du spürst den weichen Waldboden unter dir. Du schaust in die Baumkronen wo sich das Licht der Sonne bricht.\\n\"\n               \"Du versuchst dich aufzurichten, jedoch fühlst du dich noch etwas angeschlagen: Würfel einen W20!\";\n    cin.ignore();\n    KO = KO + roll_D20();\n    if (KO > 20) {\n        KO = 20;\n    }\n    cout << KO;\n    cin.ignore();\n    if (KO >= 12) {\n        cout << \"Wer ist denn hier angeschlagen?\\nDu streckst und räkelst dich und stehst langsam auf!\";\n        cin.ignore();\n    } else {\n        cout << \"Du merkst wie schwer es dir fällt aufzustehen und brauchst sehr lange um dich aufzuraffen!\";\n        cin.ignore();\n    }\n}\n\nvoid direction() {\n    char direction = ' ';\n    cout << \"Bewege dich mit WASD um in eine Richtung zu gehen!\\n\";\n    cin >> direction;\n    switch (direction) {\n        case 'w':\n            cout << \"Du gehst Geradeaus weiter!\";\n            break;\n        case 'a':\n            cout << \"Du gehst nach Links!\";\n            break;\n        case 'd':\n            cout << \"Du gehst nach Rechts!\";\n            break;\n        case 's':\n            cout << \"Du gehst zurück!\";\n            break;\n        default:\n            cout << \"Du musst dich schon entscheiden!\";\n            break;\n    }\n}\n\n\nint main() {\n\n    //menu();\n    //Das eigentliche Spiel startet\n    cout << \"Tipp! Drücke eine Taste um weiterzukommen!\\n\";\n    cin.ignore();\n    cout << \"Du hörst Vogelgezwitscher, Geräusche des Waldes umgeben dich!\";\n    cin.ignore();\n    cout << \"Langsam öffnest du deine Augen\";\n    cin.ignore();\n    cout << \"...\";\n    cin.ignore();\n    cout << \"...\";\n    cin.ignore();\n    cout << \"...\";\n    cin.ignore();\n    consti();\n    cout << \"Nachdem du wach geworden und aufgestanden bist fühlst du dich immer noch durcheinander!\\n\";\n    cout << \"Du bist in einem dunklen Wald und es fühlt sich an wie ein Traum!\";\n    cin.ignore();\n    cout << \"Die Sonne geht gerade auf!\";\n    cin.ignore();\n    cout\n            << \"Um dich herum, in jede Richtung in der du blickst, siehst du Bäume! Nun du bist ja auch in einem Wald.\";\n    cin.ignore();\n    cout << \"Also wohin gehst du? \";\n    direction();\n    cin.ignore();\n\n\n    return 0;\n}\n
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
diff --git a/main.cpp b/main.cpp
--- a/main.cpp	(revision c103ff7b36838af1e32671893e3145798a4fd8c1)
+++ b/main.cpp	(date 1629312818514)
@@ -35,7 +35,7 @@
     //Konstitution!
     cout
             << "Du spürst den weichen Waldboden unter dir. Du schaust in die Baumkronen wo sich das Licht der Sonne bricht.\n"
-               "Du versuchst dich aufzurichten, jedoch fühlst du dich noch etwas angeschlagen: Würfel einen W20!";
+               "Du versuchst dich aufzurichten, jedoch fühlst du dich noch etwas angeschlagen: Würfel einen W20! ";
     cin.ignore();
     KO = KO + roll_D20();
     if (KO > 20) {
@@ -51,14 +51,52 @@
         cin.ignore();
     }
 }
+void power() {
+    //Körperkraft
+    cout << "Du greifst mit beiden Händen an den Baumstamm und versuchst ihn zu bewegen.\n Werf einen W20: ";
+    cin.ignore();
+    KK = KK + roll_D20();
+    if (KK > 20)
+    {
+        KK = 20;
+    }
+    cout << KK;
+    cin.ignore();
+    if (KK >= 14)
+    {
+        cout << "Deine Kraft geriet zurück in deinen Körper du schiebst den Baumstamm ohne große Mühe von dir weg!";
+        cin.ignore();
+    }
+    else
+    {
+        cout << "Meine güte wie schwer kann ein Baumstamm schon sein. Nach mehreren Versuchen gelingt es dir endlich!";
+        cin.ignore();
+    }
+}
 
 void direction() {
     char direction = ' ';
+    char decision = ' ';
     cout << "Bewege dich mit WASD um in eine Richtung zu gehen!\n";
     cin >> direction;
+
+    while()
     switch (direction) {
         case 'w':
-            cout << "Du gehst Geradeaus weiter!";
+            cout << "Du gehst Geradeaus weiter!\nHuch vor dir Liegt ein Großer Baumstamm!";
+            cin.ignore();
+            cout << "Willst du versuchen ihn aus dem Weg zu räumen? (J/N): ";
+            cin >> decision;
+            if(decision=='J'||decision=='j')
+            {
+                power();
+            }
+            else
+            {
+                cout << "Was ein Baumstamm?\nNe das geht garnicht!\nDu gehst wieder zurück";
+                cin.ignore();
+                return 0;
+            }
             break;
         case 'a':
             cout << "Du gehst nach Links!";
@@ -106,5 +144,6 @@
     cin.ignore();
 
 
+
     return 0;
 }
Index: .idea/workspace.xml
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.BaseRevisionTextPatchEP
<+><?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<project version=\"4\">\n  <component name=\"CMakeRunConfigurationManager\" shouldGenerate=\"true\" shouldDeleteObsolete=\"true\">\n    <generated>\n      <config projectName=\"nameless_txt_adv\" targetName=\"nameless_txt_adv\" />\n    </generated>\n  </component>\n  <component name=\"CMakeSettings\">\n    <configurations>\n      <configuration PROFILE_NAME=\"Debug\" ENABLED=\"true\" CONFIG_NAME=\"Debug\" />\n    </configurations>\n  </component>\n  <component name=\"ChangeListManager\">\n    <list default=\"true\" id=\"62d35e5e-42fd-4d0a-a82d-292d08869a5e\" name=\"Changes\" comment=\"Added the nameless game!\">\n      <change beforePath=\"$PROJECT_DIR$/.idea/workspace.xml\" beforeDir=\"false\" afterPath=\"$PROJECT_DIR$/.idea/workspace.xml\" afterDir=\"false\" />\n    </list>\n    <option name=\"SHOW_DIALOG\" value=\"false\" />\n    <option name=\"HIGHLIGHT_CONFLICTS\" value=\"true\" />\n    <option name=\"HIGHLIGHT_NON_ACTIVE_CHANGELIST\" value=\"false\" />\n    <option name=\"LAST_RESOLUTION\" value=\"IGNORE\" />\n  </component>\n  <component name=\"ClangdSettings\">\n    <option name=\"formatViaClangd\" value=\"false\" />\n  </component>\n  <component name=\"ExecutionTargetManager\" SELECTED_TARGET=\"CMakeBuildProfile:Debug\" />\n  <component name=\"ExportToHTMLSettings\">\n    <option name=\"OUTPUT_DIRECTORY\" value=\"$PROJECT_DIR$/exportToHTML\" />\n  </component>\n  <component name=\"Git.Settings\">\n    <option name=\"RECENT_GIT_ROOT_PATH\" value=\"$PROJECT_DIR$\" />\n  </component>\n  <component name=\"GitSEFilterConfiguration\">\n    <file-type-list>\n      <filtered-out-file-type name=\"LOCAL_BRANCH\" />\n      <filtered-out-file-type name=\"REMOTE_BRANCH\" />\n      <filtered-out-file-type name=\"TAG\" />\n      <filtered-out-file-type name=\"COMMIT_BY_MESSAGE\" />\n    </file-type-list>\n  </component>\n  <component name=\"ProjectId\" id=\"1wRko6IIdQCoWHXVKEhjJKa3GTb\" />\n  <component name=\"ProjectLevelVcsManager\" settingsEditedManually=\"true\">\n    <ConfirmationsSetting value=\"2\" id=\"Add\" />\n  </component>\n  <component name=\"ProjectViewState\">\n    <option name=\"hideEmptyMiddlePackages\" value=\"true\" />\n    <option name=\"showLibraryContents\" value=\"true\" />\n  </component>\n  <component name=\"PropertiesComponent\">\n    <property name=\"RunOnceActivity.OpenProjectViewOnStart\" value=\"true\" />\n    <property name=\"RunOnceActivity.ShowReadmeOnStart\" value=\"true\" />\n    <property name=\"RunOnceActivity.cidr.known.project.marker\" value=\"true\" />\n    <property name=\"WebServerToolWindowFactoryState\" value=\"false\" />\n    <property name=\"cf.first.check.clang-format\" value=\"false\" />\n    <property name=\"cidr.known.project.marker\" value=\"true\" />\n    <property name=\"cmake.loaded.for.project\" value=\"true\" />\n    <property name=\"nodejs_package_manager_path\" value=\"npm\" />\n    <property name=\"settings.editor.selected.configurable\" value=\"vcs.Git\" />\n  </component>\n  <component name=\"RunManager\">\n    <configuration default=\"true\" type=\"CMakeRunConfiguration\" factoryName=\"Application\" REDIRECT_INPUT=\"false\" ELEVATE=\"false\" USE_EXTERNAL_CONSOLE=\"false\" PASS_PARENT_ENVS_2=\"true\">\n      <method v=\"2\">\n        <option name=\"com.jetbrains.cidr.execution.CidrBuildBeforeRunTaskProvider$BuildBeforeRunTask\" enabled=\"true\" />\n      </method>\n    </configuration>\n    <configuration name=\"nameless_txt_adv\" type=\"CMakeRunConfiguration\" factoryName=\"Application\" REDIRECT_INPUT=\"false\" ELEVATE=\"false\" USE_EXTERNAL_CONSOLE=\"false\" PASS_PARENT_ENVS_2=\"true\" PROJECT_NAME=\"nameless_txt_adv\" TARGET_NAME=\"nameless_txt_adv\" CONFIG_NAME=\"Debug\" RUN_TARGET_PROJECT_NAME=\"nameless_txt_adv\" RUN_TARGET_NAME=\"nameless_txt_adv\">\n      <method v=\"2\">\n        <option name=\"com.jetbrains.cidr.execution.CidrBuildBeforeRunTaskProvider$BuildBeforeRunTask\" enabled=\"true\" />\n      </method>\n    </configuration>\n    <configuration default=\"true\" type=\"GradleAppRunConfiguration\" factoryName=\"Application\" REDIRECT_INPUT=\"false\" ELEVATE=\"false\" USE_EXTERNAL_CONSOLE=\"false\" PASS_PARENT_ENVS_2=\"true\">\n      <method v=\"2\">\n        <option name=\"com.jetbrains.cidr.cpp.gradle.execution.GradleNativeBuildBeforeRunTaskProvider$BuildBeforeRunTask\" enabled=\"true\" />\n      </method>\n    </configuration>\n  </component>\n  <component name=\"SpellCheckerSettings\" RuntimeDictionaries=\"0\" Folders=\"0\" CustomDictionaries=\"0\" DefaultDictionary=\"application-level\" UseSingleDictionary=\"true\" transferred=\"true\" />\n  <component name=\"TaskManager\">\n    <task active=\"true\" id=\"Default\" summary=\"Default task\">\n      <changelist id=\"62d35e5e-42fd-4d0a-a82d-292d08869a5e\" name=\"Changes\" comment=\"\" />\n      <created>1628428973609</created>\n      <option name=\"number\" value=\"Default\" />\n      <option name=\"presentableId\" value=\"Default\" />\n      <updated>1628428973609</updated>\n      <workItem from=\"1628428984629\" duration=\"17402000\" />\n      <workItem from=\"1628452134051\" duration=\"2188000\" />\n    </task>\n    <task id=\"LOCAL-00001\" summary=\"Added the nameless game!\">\n      <created>1628455814730</created>\n      <option name=\"number\" value=\"00001\" />\n      <option name=\"presentableId\" value=\"LOCAL-00001\" />\n      <option name=\"project\" value=\"LOCAL\" />\n      <updated>1628455814730</updated>\n    </task>\n    <task id=\"LOCAL-00002\" summary=\"Added the nameless game!\">\n      <created>1628455822028</created>\n      <option name=\"number\" value=\"00002\" />\n      <option name=\"presentableId\" value=\"LOCAL-00002\" />\n      <option name=\"project\" value=\"LOCAL\" />\n      <updated>1628455822028</updated>\n    </task>\n    <option name=\"localTasksCounter\" value=\"3\" />\n    <servers />\n  </component>\n  <component name=\"TypeScriptGeneratedFilesManager\">\n    <option name=\"version\" value=\"3\" />\n  </component>\n  <component name=\"Vcs.Log.Tabs.Properties\">\n    <option name=\"TAB_STATES\">\n      <map>\n        <entry key=\"MAIN\">\n          <value>\n            <State />\n          </value>\n        </entry>\n      </map>\n    </option>\n  </component>\n  <component name=\"VcsManagerConfiguration\">\n    <MESSAGE value=\"Added the nameless game!\" />\n    <option name=\"LAST_COMMIT_MESSAGE\" value=\"Added the nameless game!\" />\n  </component>\n</project>
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
diff --git a/.idea/workspace.xml b/.idea/workspace.xml
--- a/.idea/workspace.xml	(revision c103ff7b36838af1e32671893e3145798a4fd8c1)
+++ b/.idea/workspace.xml	(date 1629312530248)
@@ -13,6 +13,7 @@
   <component name="ChangeListManager">
     <list default="true" id="62d35e5e-42fd-4d0a-a82d-292d08869a5e" name="Changes" comment="Added the nameless game!">
       <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
+      <change beforePath="$PROJECT_DIR$/main.cpp" beforeDir="false" afterPath="$PROJECT_DIR$/main.cpp" afterDir="false" />
     </list>
     <option name="SHOW_DIALOG" value="false" />
     <option name="HIGHLIGHT_CONFLICTS" value="true" />
@@ -57,11 +58,6 @@
     <property name="settings.editor.selected.configurable" value="vcs.Git" />
   </component>
   <component name="RunManager">
-    <configuration default="true" type="CMakeRunConfiguration" factoryName="Application" REDIRECT_INPUT="false" ELEVATE="false" USE_EXTERNAL_CONSOLE="false" PASS_PARENT_ENVS_2="true">
-      <method v="2">
-        <option name="com.jetbrains.cidr.execution.CidrBuildBeforeRunTaskProvider$BuildBeforeRunTask" enabled="true" />
-      </method>
-    </configuration>
     <configuration name="nameless_txt_adv" type="CMakeRunConfiguration" factoryName="Application" REDIRECT_INPUT="false" ELEVATE="false" USE_EXTERNAL_CONSOLE="false" PASS_PARENT_ENVS_2="true" PROJECT_NAME="nameless_txt_adv" TARGET_NAME="nameless_txt_adv" CONFIG_NAME="Debug" RUN_TARGET_PROJECT_NAME="nameless_txt_adv" RUN_TARGET_NAME="nameless_txt_adv">
       <method v="2">
         <option name="com.jetbrains.cidr.execution.CidrBuildBeforeRunTaskProvider$BuildBeforeRunTask" enabled="true" />
@@ -82,7 +78,8 @@
       <option name="presentableId" value="Default" />
       <updated>1628428973609</updated>
       <workItem from="1628428984629" duration="17402000" />
-      <workItem from="1628452134051" duration="2188000" />
+      <workItem from="1628452134051" duration="2544000" />
+      <workItem from="1629310207238" duration="2316000" />
     </task>
     <task id="LOCAL-00001" summary="Added the nameless game!">
       <created>1628455814730</created>
@@ -98,7 +95,14 @@
       <option name="project" value="LOCAL" />
       <updated>1628455822028</updated>
     </task>
-    <option name="localTasksCounter" value="3" />
+    <task id="LOCAL-00003" summary="Added the nameless game!">
+      <created>1628456334107</created>
+      <option name="number" value="00003" />
+      <option name="presentableId" value="LOCAL-00003" />
+      <option name="project" value="LOCAL" />
+      <updated>1628456334107</updated>
+    </task>
+    <option name="localTasksCounter" value="4" />
     <servers />
   </component>
   <component name="TypeScriptGeneratedFilesManager">
@@ -114,6 +118,7 @@
         </entry>
       </map>
     </option>
+    <option name="oldMeFiltersMigrated" value="true" />
   </component>
   <component name="VcsManagerConfiguration">
     <MESSAGE value="Added the nameless game!" />
